using Helper;
using Helper.DBUtil;
using System;
using System.Collections.Generic;
using System.Data;
using System.Data.SqlClient;
using System.Linq;
using System.Text;
using ZSMusic.IDAL;
using ZSMusic.Model;

namespace ZSMusic.DAL.Manager.SqlServer
{
    public class UserDAL : IUser
    {
        public bool Exists(string id)
        {
            throw new NotImplementedException("该功能未开放");
        }

        public Model.User GetModelById(string id)
        {
            throw new NotImplementedException("该功能未开放");
        }

        public bool Add(Model.User u)
        {
            throw new NotImplementedException("该功能未开放");
        }

        public bool Regist(string id, string name = "", long balance = 50000)
        {
            throw new NotImplementedException("该功能未开放");
        }

        public bool Delete(string id)
        {
            throw new NotImplementedException("该功能未开放");
        }

        public bool Update(Model.User u)
        {
            throw new NotImplementedException("该功能未开放");
        }

        public bool Pay(string key, long cost)
        {
            throw new NotImplementedException("该功能未开放");
        }

        public System.Data.DataTable Quary(string cdn = null)
        {
            throw new NotImplementedException("该功能未开放");
        }
    }
}
